# Generated by Django 2.2.12 on 2020-04-21 07:04

from django.db import migrations, models
import django_models_ext.fileext
import shortuuidfield.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='KOLInfo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.BooleanField(db_index=True, default=True, help_text='Status', verbose_name='status')),
                ('created_at', models.DateTimeField(auto_now_add=True, help_text='Create Time', verbose_name='created_at')),
                ('updated_at', models.DateTimeField(auto_now=True, help_text='Update Time', verbose_name='updated_at')),
                ('kol_id', shortuuidfield.fields.ShortUUIDField(blank=True, db_index=True, editable=False, help_text='KOL 唯一标识', max_length=22, null=True, unique=True)),
                ('unionid', models.CharField(blank=True, db_index=True, help_text='微信 Unionid', max_length=32, null=True, unique=True, verbose_name='unionid')),
                ('openid', models.CharField(blank=True, db_index=True, help_text='微信 Openid', max_length=32, null=True, unique=True, verbose_name='openid')),
                ('name', models.CharField(blank=True, help_text='KOL 姓名', max_length=32, null=True, verbose_name='name')),
                ('phone', models.CharField(blank=True, db_index=True, help_text='KOL 电话', max_length=11, null=True, verbose_name='phone')),
                ('nickname', models.CharField(blank=True, help_text='KOL 昵称', max_length=32, null=True, verbose_name='nickname')),
                ('avatar', models.ImageField(blank=True, help_text='KOL 头像', null=True, upload_to=django_models_ext.fileext.upload_path, verbose_name='avatar')),
                ('banner', models.ImageField(blank=True, help_text='KOL Banner图', null=True, upload_to=django_models_ext.fileext.upload_path, verbose_name='banner')),
                ('intro', models.TextField(blank=True, help_text='KOL 简介', null=True, verbose_name='intro')),
                ('image', models.ImageField(blank=True, help_text='KOL 简介图', null=True, upload_to=django_models_ext.fileext.upload_path, verbose_name='image')),
                ('fans', models.IntegerField(default=0, help_text='KOL 粉丝数', verbose_name='fans')),
                ('fee', models.IntegerField(default=0, help_text='KOL 余额(分)', verbose_name='fee')),
                ('total_fee', models.IntegerField(default=0, help_text='KOL 总收入(分)', verbose_name='total_fee')),
            ],
            options={
                'verbose_name': 'KOL 信息',
                'verbose_name_plural': 'KOL 信息',
            },
        ),
    ]
