# Generated by Django 2.2.12 on 2020-05-15 14:51

from django.db import migrations, models
import django_models_ext.fileext
import jsonfield.fields
import shortuuidfield.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='AnchorInfo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.BooleanField(db_index=True, default=True, help_text='Status', verbose_name='status')),
                ('created_at', models.DateTimeField(auto_now_add=True, help_text='Create Time', verbose_name='created_at')),
                ('updated_at', models.DateTimeField(auto_now=True, help_text='Update Time', verbose_name='updated_at')),
                ('anchor_id', shortuuidfield.fields.ShortUUIDField(blank=True, editable=False, help_text='主播唯一标识', max_length=22, unique=True)),
                ('unionid', models.CharField(blank=True, help_text='微信 Unionid', max_length=32, unique=True, verbose_name='unionid')),
                ('openid', models.CharField(blank=True, help_text='微信 Openid', max_length=32, unique=True, verbose_name='openid')),
                ('anchor_name', models.CharField(blank=True, db_index=True, help_text='主播姓名', max_length=255, verbose_name='anchor_name')),
                ('anchor_avatar', models.CharField(blank=True, db_index=True, help_text='主播头像', max_length=255, verbose_name='anchor_avatar')),
            ],
            options={
                'verbose_name': '主播信息',
                'verbose_name_plural': '主播信息',
            },
        ),
        migrations.CreateModel(
            name='liveGoodsInfo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.BooleanField(db_index=True, default=True, help_text='Status', verbose_name='status')),
                ('created_at', models.DateTimeField(auto_now_add=True, help_text='Create Time', verbose_name='created_at')),
                ('updated_at', models.DateTimeField(auto_now=True, help_text='Update Time', verbose_name='updated_at')),
                ('goods_id', shortuuidfield.fields.ShortUUIDField(blank=True, editable=False, help_text='商品ID', max_length=22, unique=True)),
                ('wx_goods_id', models.CharField(blank=True, db_index=True, help_text='微信商品ID', max_length=255, verbose_name='wx_goods_id')),
                ('audit_id', models.CharField(blank=True, db_index=True, help_text='审核单ID', max_length=255, verbose_name='anchor_name')),
                ('audit_status', models.IntegerField(blank=True, db_index=True, default=0, help_text='审核状态', verbose_name='audit_status')),
                ('goods_img', models.ImageField(help_text='商品图', upload_to=django_models_ext.fileext.upload_path, verbose_name='goods_img')),
                ('coverImgUrl', models.CharField(blank=True, db_index=True, help_text='微信mediaID', max_length=255, verbose_name='anchor_name')),
                ('name', models.CharField(blank=True, db_index=True, help_text='商品', max_length=34, verbose_name='name')),
                ('price_type', models.IntegerField(db_index=True, help_text='价格类型', verbose_name='price_type')),
                ('price', models.IntegerField(help_text='price', verbose_name='price')),
                ('price2', models.IntegerField(help_text='price2', verbose_name='price2')),
                ('url', models.CharField(blank=True, db_index=True, help_text='小程序商品路径', max_length=255, verbose_name='url')),
            ],
            options={
                'verbose_name': '直播商品库',
                'verbose_name_plural': '直播商品库',
            },
        ),
        migrations.CreateModel(
            name='RoomGoodsInfo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.BooleanField(db_index=True, default=True, help_text='Status', verbose_name='status')),
                ('created_at', models.DateTimeField(auto_now_add=True, help_text='Create Time', verbose_name='created_at')),
                ('updated_at', models.DateTimeField(auto_now=True, help_text='Update Time', verbose_name='updated_at')),
                ('room_id', models.CharField(db_index=True, help_text='房间唯一标识', max_length=32, unique=True, verbose_name='room_id')),
                ('anchor_id', models.CharField(blank=True, help_text='主播唯一标识', max_length=32, unique=True, verbose_name='anchor_id')),
                ('goods_id', models.CharField(blank=True, help_text='商品ID', max_length=32, unique=True, verbose_name='goods_id')),
                ('inventory', models.IntegerField(default=0, help_text='直播间库存数量', verbose_name='inventory')),
                ('sale_infos', jsonfield.fields.JSONField(blank=True, default=[], help_text='直播间商品销售信息', verbose_name='sale_infos')),
            ],
            options={
                'verbose_name': '直播间商品信息',
                'verbose_name_plural': '直播间商品信息',
            },
        ),
        migrations.CreateModel(
            name='RoomInfo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.BooleanField(db_index=True, default=True, help_text='Status', verbose_name='status')),
                ('created_at', models.DateTimeField(auto_now_add=True, help_text='Create Time', verbose_name='created_at')),
                ('updated_at', models.DateTimeField(auto_now=True, help_text='Update Time', verbose_name='updated_at')),
                ('room_id', models.CharField(db_index=True, help_text='房间唯一标识', max_length=32, unique=True, verbose_name='anchor_id')),
                ('name', models.CharField(blank=True, db_index=True, help_text='直播房间名', max_length=255, verbose_name='name')),
                ('live_status', models.IntegerField(db_index=True, help_text='直播状态', verbose_name='live_status')),
                ('start_time', models.IntegerField(db_index=True, help_text='直播计划开始时间', verbose_name='start_time')),
                ('end_time', models.IntegerField(db_index=True, help_text='直播计划结束时间', verbose_name='end_time')),
                ('cover_img', models.ImageField(help_text='直播间背景墙', upload_to=django_models_ext.fileext.upload_path, verbose_name='cover_img')),
                ('anchor_name', models.CharField(blank=True, db_index=True, help_text='主播名称', max_length=255, verbose_name='anchor_name')),
                ('anchor_img', models.ImageField(help_text='分享卡片图片', upload_to=django_models_ext.fileext.upload_path, verbose_name='cover_img')),
                ('anchor_id', models.CharField(help_text='主播唯一标识', max_length=32, unique=True, verbose_name='anchor_id')),
                ('goods', jsonfield.fields.JSONField(blank=True, default=[], help_text='商品销售信息', verbose_name='goods')),
            ],
            options={
                'verbose_name': '直播间信息',
                'verbose_name_plural': '直播间信息',
            },
        ),
        migrations.CreateModel(
            name='RoomOrderInfo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.BooleanField(db_index=True, default=True, help_text='Status', verbose_name='status')),
                ('created_at', models.DateTimeField(auto_now_add=True, help_text='Create Time', verbose_name='created_at')),
                ('updated_at', models.DateTimeField(auto_now=True, help_text='Update Time', verbose_name='updated_at')),
                ('order_id', shortuuidfield.fields.ShortUUIDField(blank=True, editable=False, help_text='商品ID', max_length=22, unique=True)),
                ('user_id', models.CharField(db_index=True, help_text='用户唯一标识', max_length=32, unique=True, verbose_name='user_id')),
                ('room_id', models.CharField(db_index=True, help_text='房间唯一标识', max_length=32, unique=True, verbose_name='room_id')),
                ('anchor_id', models.CharField(blank=True, help_text='主播唯一标识', max_length=32, unique=True, verbose_name='anchor_id')),
                ('goods_id', models.CharField(blank=True, help_text='商品ID', max_length=32, unique=True, verbose_name='goods_id')),
                ('share_openid', models.CharField(blank=True, help_text='转发用户 openid', max_length=32, unique=True, verbose_name='share_openid')),
                ('amount', models.IntegerField(default=0, help_text='数量', verbose_name='amount')),
                ('name', models.CharField(blank=True, help_text='姓名', max_length=255, null=True, verbose_name='name')),
                ('phone', models.CharField(blank=True, help_text='电话', max_length=255, null=True, verbose_name='phone')),
                ('address', models.CharField(blank=True, help_text='地址', max_length=255, null=True, verbose_name='address')),
                ('tracking_number', models.CharField(blank=True, help_text='快递单号', max_length=255, null=True, verbose_name='tracking_number')),
                ('has_send_template_message', models.BooleanField(db_index=True, default=True, help_text='是否已发送模版消息', verbose_name='has_send_template_message')),
                ('prepay_id', models.CharField(blank=True, help_text='预支付交易会话标识', max_length=64, null=True, verbose_name='prepay_id')),
                ('transaction_id', models.CharField(blank=True, help_text='交易单号', max_length=32, null=True, verbose_name='transaction_id')),
                ('body', models.CharField(blank=True, help_text='商品描述', max_length=255, null=True, verbose_name='body')),
                ('total_fee', models.IntegerField(default=0, help_text='总金额', verbose_name='total_fee')),
                ('trade_type', models.CharField(blank=True, help_text='支付方式', max_length=255, null=True, verbose_name='trade_type')),
                ('pay_status', models.IntegerField(choices=[(0, '待支付'), (1, '已支付'), (2, '已失败')], db_index=True, default=0, help_text='支付状态', verbose_name='pay_status')),
                ('paid_at', models.DateTimeField(blank=True, help_text='支付时间', null=True, verbose_name='paid_at')),
                ('reback_status', models.BooleanField(db_index=True, default=False, help_text='退款状态', verbose_name='reback_status')),
                ('reback_at', models.DateTimeField(blank=True, help_text='退款时间', null=True, verbose_name='reback_at')),
                ('unifiedorder_result', models.TextField(blank=True, help_text='统一下单结果', null=True, verbose_name='unifiedorder_result')),
                ('notify_msg', models.TextField(blank=True, help_text='回调信息', null=True, verbose_name='notify_msg')),
            ],
            options={
                'verbose_name': '直播间订单',
                'verbose_name_plural': '直播间订单',
            },
        ),
    ]
